Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1607127 - [RFE] Update ansible-inventory file to use latest instead of version
Summary: [RFE] Update ansible-inventory file to use latest instead of version
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine-metrics
Classification: oVirt
Component: RFEs
Version: unspecified
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ovirt-4.2.6
: ---
Assignee: Shirly Radco
QA Contact: Lucie Leistnerova
URL:
Whiteboard:
: 1607128 (view as bug list)
Depends On:
Blocks: 1615109
TreeView+ depends on / blocked
 
Reported: 2018-07-22 08:55 UTC by Shirly Radco
Modified: 2018-09-04 07:03 UTC (History)
7 users (show)

Fixed In Version: ovirt-engine-metrics-1.1.7-1.el7ev
Doc Type: Enhancement
Doc Text:
The current release always uses the latest Ansible inventory file, so that a particular Openshift version no longer needs to be specified and the documentation is always up to date.
Clone Of:
Environment:
Last Closed: 2018-09-03 15:07:02 UTC
oVirt Team: Metrics
rule-engine: ovirt-4.2+
ylavi: planning_ack+
rule-engine: devel_ack+
lsvaty: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 92952 master MERGED Update latest ansible-inventory files naming 2018-07-22 09:02:54 UTC
oVirt gerrit 93236 ovirt-engine-metrics-4.2 MERGED Update latest ansible-inventory files naming 2018-07-22 10:47:08 UTC
oVirt gerrit 93669 master MERGED Update default openshift version to 3.9 2018-08-12 08:55:49 UTC
oVirt gerrit 93671 ovirt-engine-metrics-4.2 MERGED Update default openshift version to 3.9 2018-08-12 08:59:29 UTC

Description Shirly Radco 2018-07-22 08:55:33 UTC
Update the ansible-inventory file so it will only copy the relevant file to the metrics store machine, based on the required OpenShift distribution and version.

Default OpenShift distribution, is Origin for upstream and ocp for downstream
Default OpenShift version is 3.10.

Also, add a "latest" symlink so that when running the openshift-ansible playbooks we will not required updating the ansible-inventory file and it will always use the latest.

This is backwards compatible since the original file with the version is also copied to the machine.

Comment 1 Shirly Radco 2018-07-22 08:57:04 UTC
*** Bug 1607128 has been marked as a duplicate of this bug. ***

Comment 4 Lucie Leistnerova 2018-08-23 09:11:37 UTC
Script copied only inventory depending on openshift_distribution and openshift_version settings. Inventory latest links the one that was copied with the last script run.

verified in ovirt-engine-metrics-1.1.7-1.el7ev.noarch


Note You need to log in before you can comment on or make changes to this bug.